1

Konu: PunBB için PHP7 Uyumluluğu

PunBB 1.4.4 standart olarak PHP5'e uyumlu halde geliyor. Aşağıdaki belirtilen ufak kod değişikliğinden sonra forum sisteminiz PHP7 için uyumlu hale gelecektir.

"include/dblayer/" klasöründeki "mysqli.php" dosyasını açıp, aşağıdaki satırı bulun;

function DBLayer($db_host, $db_username, $db_password, $db_name, $db_prefix, $foo)

bu satır ile değiştirin;

function __construct($db_host, $db_username, $db_password, $db_name, $db_prefix, $foo)

Hepsi bu kadar smile